/**
 * 
 */
package org.arabicfedora.demo;

import java.io.File;
import java.io.FileNotFoundException;
import java.io.FileOutputStream;

import org.arabicfedora.io.POFileLoader;

/**
 * @author Mohammad Ghoniem
 */
public class TestPOFileLoader {

	public static void main(String[] args) {
		POFileLoader loader = new POFileLoader();
		// loader.setCharsetName("ISO-8859-1");
		File file = null;
		if (args.length > 0)
			file = new File(args[0]);
		else
			System.out.println("Usage : java org.arabicfedora.demo.TestPOFileLoader somePOFile.po");

		if (file != null)
			loader.load(file);

		// to print the parsed contents to the command-line
		// uncomment the following line
		
		// loader.print(System.out);

		// print the parsed contents to a file 
		// called "test.po" in the user's home directory
		File out = new File(System.getProperty("user.home")
				+ System.getProperty("file.separator") + "test.po");
		FileOutputStream fos = null;
		try {
			fos = new FileOutputStream(out);
		} catch (FileNotFoundException fnf) {
			fnf.printStackTrace();
		}

		if (fos != null)
			loader.print(fos);
	}
}
